import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listTrain(query) {
  return request({
    url: '/train/train/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getTrain(id) {
  return request({
    url: '/train/train/' + id,
    method: 'get'
  })
}

// 新增【新增】
export function addTrain(data) {
  return request({
    url: '/train/train',
    method: 'post',
    data: data
  })
}


// 新增【再起发起】
// export function addAgainTrain(data) {
//   return request({
//     url: '/train/train/addAgainTrain',
//     method: 'post',
//     data: data
//   })
// }

// 修改【请填写功能名称】
export function updateTrain(data) {
  return request({
    url: '/train/train',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delTrain(id) {
  return request({
    url: '/train/train/' + id,
    method: 'delete'
  })
}

// 终止【终止培训】
export function terminateTrain(id) {
  return request({
    url: '/train/train/terminateTrain/' + id,
    method: 'put'
  })
}

// 查询【请填写功能名称】列表
export function participantTrainPage(query) {
  return request({
    url: '/train/train/participantTrainPage',
    method: 'get',
    params: query
  })
}

// 查询【获取试卷详细】
export function getTestPaperDetail(query) {
  return request({
    url: '/train/train/getTestPaperDetail',
    method: 'get',
    params: query
  })
}

// 查询【获取试卷详细】
export function getTestResult(query) {
  return request({
    url: '/train/train/getTestResult',
    method: 'get',
    params: query
  })
}

// 查询【获取追踪详细】
export function getTrainResult(query) {
  return request({
    url: '/train/train/getTrainResult',
    method: 'get',
    params: query
  })
}

